#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long p;
    long long q;
    long long r;
    long long L;
    long long D;
    long long br;

    cin >> p >> q >> r >> L >> D;

    for(long long i=L; i<=D; i++)
    {
        if (ceil(i/p) + ceil(i/q) + ceil(i/r) <= i)
        {
            br++;
        }
    }
    cout << br;

    return 0;
}